@import 'variables';

@mixin text-nav {
    font-weight: 400;
    font-size: 11px;
    line-height: 22px;
    letter-spacing: 1.1px;
    text-transform: uppercase;
    color: $nav-color
}

@mixin titile {
    font-weight: 700;
    font-size: 16px;
    line-height: 30px;
    color: $title-color
}

@mixin main-titile {
    @include titile;
    text-transform: uppercase
}

@mixin coment-text {
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
    color: $coments-color
}

@mixin text {
    font-weight: 400;
    font-size: 14px;
    line-height: 26px;
    color: $color-text
}

@mixin footer-titile {
    @include main-titile;
    color: $footer-titile-color
}

@mixin footer-text {
    font-weight: 400;
    font-size: 16px;
    line-height: 28px;
    color: $footer-text-color
}

@mixin text-nav-tablet {
    font-weight: 400;
    font-size: 11px;
    line-height: 22px;
    letter-spacing: 1.1px;
    text-transform: uppercase;
    color: $nav-color
}

@mixin titile-tablet {
    font-weight: 700;
    font-size: 16px;
    line-height: 22px;
    color: $title-color
}

@mixin main-titile-tablet {
    @include titile-tablet;
    text-transform: uppercase
}

@mixin coment-text-tablet {
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
    color: $coments-color
}

@mixin text-tablet {
    font-weight: 400;
    font-size: 14px;
    line-height: 26px;
    color: $color-text
}

@mixin footer-titile-tablet {
    @include main-titile-tablet;
    color: $footer-titile-color
}

@mixin footer-text-tablet {
    @include text-tablet;
    line-height: 28px;
    color: $footer-text-color
}

@mixin text-nav-phone {
    font-weight: 400;
    font-size: 11px;
    line-height: 22px;
    letter-spacing: 1.1px;
    text-transform: uppercase;
    color: $nav-color
}

@mixin titile-phone {
    font-weight: 700;
    font-size: 14px;
    line-height: 30px;
    color: $title-color
}

@mixin main-titile-phone {
    @include titile-phone;
    line-height: 22px;
    text-transform: uppercase
}

@mixin coment-text-phone {
    font-weight: 400;
    font-size: 11px;
    line-height: 20px;
    color: $coments-color
}

@mixin text-phone {
    font-weight: 400;
    font-size: 14px;
    line-height: 26px;
    color: $color-text
}

@mixin footer-titile-phone {
    font-weight: 700;
    font-size: 14px;
    line-height: 22px;
    text-transform: uppercase;
    color: $footer-titile-color
}

@mixin footer-text-phone {
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
    color: $footer-text-color
}